package app

import (
	"github.com/gin-gonic/gin"
	v1 "courseSign/server/api/v1"
)

type VerificationRouter struct{}

func (v *VerificationRouter) InitVerificationRouter(Router *gin.RouterGroup) {
	verificationRouter := Router.Group("verification")
	verificationApi := v1.ApiGroupApp.AppApiGroup.VerificationApi
	{
		verificationRouter.POST("recaptcha", verificationApi.Recaptcha)   // 检验验证码 通过领取红包
		verificationRouter.POST("recaptchaVps", verificationApi.RecaptchaVps)   // 检验声纹 通过即可领取红包
		verificationRouter.POST("tele", verificationApi.RecaptchaTele)   // 检验无验证红包 通过即可领取红包
	}
}

